Get projected canonical message detail
curl --request GET \
--url https://api-v2.watchcollect.com/v2/messages/{canonical_message_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_occurrence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_timestamp_ms": 123,
"first_seen_at_ms": 123,
"last_seen_at_ms": 123,
"sender": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"lid": "<string>",
"display_name": "<string>",
"country_prefix": "<string>"
},
"group_names": [
"<string>"
],
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_count": 123,
"occurrence_count": 123,
"has_media": true,
"classification_status": "pending",
"message_intent": "selling",
"is_edited": true,
"is_revoked": true,
"occurrences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_message_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"session_label": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_group_id": "<string>",
"group_name": "<string>",
"sender": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"lid": "<string>",
"display_name": "<string>",
"country_prefix": "<string>"
},
"sender_raw_id": "<string>",
"message_timestamp_ms": 123,
"has_media": true,
"media_asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"is_edited": true,
"is_revoked": true,
"source_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at_ms": 123,
"updated_at_ms": 123,
"message_text": "<string>"
}
],
"occurrences_has_more": true,
"media": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_storage",
"created_at_ms": 123,
"updated_at_ms": 123,
"original_url": "<string>",
"public_url": "<string>",
"storage_bucket": "<string>",
"storage_key": "<string>",
"mime_type": "<string>",
"filename": "<string>",
"size_bytes": 123
}
],
"message_text": "<string>",
"primary_media_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_media_url": "<string>",
"occurrences_next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}messages
Get projected canonical message detail
GET
/
v2
/
messages
/
{canonical_message_id}
Get projected canonical message detail
curl --request GET \
--url https://api-v2.watchcollect.com/v2/messages/{canonical_message_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_occurrence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_timestamp_ms": 123,
"first_seen_at_ms": 123,
"last_seen_at_ms": 123,
"sender": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"lid": "<string>",
"display_name": "<string>",
"country_prefix": "<string>"
},
"group_names": [
"<string>"
],
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_count": 123,
"occurrence_count": 123,
"has_media": true,
"classification_status": "pending",
"message_intent": "selling",
"is_edited": true,
"is_revoked": true,
"occurrences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_message_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"session_label": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_group_id": "<string>",
"group_name": "<string>",
"sender": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"lid": "<string>",
"display_name": "<string>",
"country_prefix": "<string>"
},
"sender_raw_id": "<string>",
"message_timestamp_ms": 123,
"has_media": true,
"media_asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"is_edited": true,
"is_revoked": true,
"source_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at_ms": 123,
"updated_at_ms": 123,
"message_text": "<string>"
}
],
"occurrences_has_more": true,
"media": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_storage",
"created_at_ms": 123,
"updated_at_ms": 123,
"original_url": "<string>",
"public_url": "<string>",
"storage_bucket": "<string>",
"storage_key": "<string>",
"mime_type": "<string>",
"filename": "<string>",
"size_bytes": 123
}
],
"message_text": "<string>",
"primary_media_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_media_url": "<string>",
"occurrences_next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Canonical message detail with bounded occurrence and media context.
Show child attributes
Show child attributes
Available options:
pending, completed, skipped, failed Available options:
selling, buying, personal, unknown Show child attributes
Show child attributes
Show child attributes
Show child attributes
Best renderable media URL. When has_media is true and this is null, clients render an unavailable-media placeholder without hiding the message.